Bug 1337039 - setfacl.1 man page is incomplete
Summary: setfacl.1 man page is incomplete
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: man-pages-overrides
Version: 7.2
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Nikola Forró
QA Contact: Iveta Wiedermann
URL:
Whiteboard:
Depends On:
Blocks: 1349841
TreeView+ depends on / blocked
 
Reported: 2016-05-18 06:23 UTC by wibrown@redhat.com
Modified: 2017-06-25 21:22 UTC (History)
5 users (show)

Fixed In Version: man-pages-overrides-7.3.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-04 07:32:08 UTC
Target Upstream Version:


Attachments (Terms of Use)
[PATCH] setfacl.1: document the meaning of '-' in perms (1.60 KB, patch)
2016-05-19 11:14 UTC, Kamil Dudka
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2485 0 normal SHIPPED_LIVE man-pages-overrides bug fix and enhancement update 2016-11-03 14:09:10 UTC

Description wibrown@redhat.com 2016-05-18 06:23:29 UTC
Description of problem:

Man setfacl states:

"""
       The  perms  field  is  a combination of characters that indicate the permissions: read (r), write (w), execute (x), execute only if the file is a directory or already has execute
       permission for some user (X).  Alternatively, the perms field can be an octal digit (0-7).
"""

This is missing the parameter for perms "-" which means "no permission allowed".

Comment 2 Kamil Dudka 2016-05-18 18:13:10 UTC
Thank you for reporting it!  I will submit a patch upstream to fix it...

Comment 3 Kamil Dudka 2016-05-19 08:32:36 UTC
fix proposed upstream:

http://lists.nongnu.org/archive/html/acl-devel/2016-05/msg00000.html

Comment 4 Kamil Dudka 2016-05-19 10:30:18 UTC
upstream commit:

http://git.savannah.gnu.org/cgit/acl.git/commit/?id=ea3c6bb7

Comment 5 Kamil Dudka 2016-05-19 11:14:58 UTC
Created attachment 1159380 [details]
[PATCH] setfacl.1: document the meaning of '-' in perms

Comment 15 errata-xmlrpc 2016-11-04 07:32:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2485.html

Comment 16 Fedora Update System 2017-06-22 07:25:58 UTC
acl-2.2.52-13.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c71743bffc

Comment 17 Fedora Update System 2017-06-22 07:26:11 UTC
acl-2.2.52-15.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2028746562

Comment 18 Fedora Update System 2017-06-23 14:20:22 UTC
acl-2.2.52-15.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2017-06-25 21:22:33 UTC
acl-2.2.52-13.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.